import { jsx } from "react/jsx-runtime";
import { ChartBar as ChartBar$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ChartBar = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ChartBar", ...props, children: /* @__PURE__ */ jsx(ChartBar$1, { weight: variant }) });
  }
);
ChartBar.displayName = "ChartBar";
Object.assign(ChartBar, { isGdsIcon: true });
export {
  ChartBar
};
